<?php

	function fo3_migrate_user_properties( $db , $oldid , $member_id ) {
		$query = sprintf( "select * from fo_xref_user_eproperty where user_id=%d" , $oldid );
		$data = FNTH_db_get_resultset( $query , $db );
		if (empty( $data )) return;
		$ins = array();
		$ins["member_id"]=sprintf( "%d" , $member_id );
		foreach ($data as $row) {
			$ins["extended_property_id"]=$row["prop_id"];
			$ins["value"]="'on'";
			FNTH_db_free_result( FNTH_db_query( FNTH_db_generate_insert_query( "member_extended_properties" , $ins ) ) );
		}
	}
?>
